# MERN Classroom

<!-- A skeleton application with basic user CRUD and auth features - developed using React, Node, Express and MongoDB. -->

<!-- ![MERN Skeleton](https://s3.amazonaws.com/mernbook/git+/skeleton.png "MERN Skeleton") 

### [Live Demo](http://skeleton.mernbook.com/ "MERN Skeleton") -->

#### What you need to run this code
1. Node (13.12.0)
2. NPM (6.14.4)
3. MongoDB (4.2.0)

####  How to run this code
1. Make sure MongoDB is running on your system
2. Clone this repository
3. Open command line in the cloned folder,
   - To install dependencies, run ```  npm install  ```
   - To run the application for development, run ```  npm run development  ```
4. Open [localhost:3000](http://localhost:3000/) in the browser
----
### More applications built by extending this skeleton

* [MERN Social](https://github.com/shamahoque/mern-social)
* [MERN Marketplace](https://github.com/shamahoque/mern-marketplace)
* [MERN Mediastream](https://github.com/shamahoque/mern-mediastream)
* [MERN VR Game](https://github.com/shamahoque/mern-vrgame)
----
## Get the book
#### [Full-Stack React Projects](https://www.packtpub.com/web-development/full-stack-react-projects)
*Unleash the power of MERN stack by building diverse web applications using React, Node.js, Express, and MongoDB*

<a href="https://www.packtpub.com/web-development/full-stack-react-projects"><img src="https://s3.amazonaws.com/mernbook/git+/B09550_MockupSmall.png" align="center" width="400" alt="Full-Stack React Projects"></a>

The benefits of using a full JavaScript stack for web development are undeniable, especially when robust and widely adopted technologies such as React, Node, and Express and are available. Combining the power of React with industry-tested, server-side technologies, such as Node, Express, and MongoDB, creates a diverse array of possibilities when developing real-world web applications.

This book guides you through preparing the development environment for MERN stack-based web development, to creating a basic skeleton application and extending it to build four different web applications. These applications include a social media, an online marketplace, a media streaming, and a web-based game application with virtual reality features.

While learning to set up the stack and developing a diverse range of applications with this book, you will grasp the inner workings of the MERN stack, extend its capabilities for complex features, and gain actionable knowledge of how to prepare MERN-based applications to meet the growing demands of real-world web applications.

---
