# MERNVR (React 360)

A web-based VR game developed using React 360. 

![MERN VR Game](https://s3.amazonaws.com/mernbook/git+/mernvr360.gif "MERN VR Game")
#### What you need to run this code
1. Node (13.7.0)

####  How to run this code
1. Clone this repository
2. Open command line in the cloned folder,
   - To install dependencies, run ```  yarn  ```
   - To run the application for development, run ```  yarn start  ```
3. Open [localhost:8081/index.html](http://localhost:8081/index.html) in the browser

### Integration with a MERN stack web application
Check out [MERN VR Game](https://github.com/shamahoque/mern-vrgame) - A dynamic version of this VR game where game details are retrieved from the server.

---- 
### More applications built using the MERN stack

* [MERN Skeleton](https://github.com/shamahoque/mern-skeleton)
* [MERN Social](https://github.com/shamahoque/mern-social)
* [MERN Marketplace](https://github.com/shamahoque/mern-marketplace)
* [MERN Mediastream](https://github.com/shamahoque/mern-mediastream)
----
## Get the book
#### [Full-Stack React Projects](https://www.packtpub.com/web-development/full-stack-react-projects)
*Unleash the power of MERN stack by building diverse web applications using React, Node.js, Express, and MongoDB*

<a href="https://www.packtpub.com/web-development/full-stack-react-projects"><img src="https://s3.amazonaws.com/mernbook/git+/B09550_MockupSmall.png" align="center" width="400" alt="Full-Stack React Projects"></a>

The benefits of using a full JavaScript stack for web development are undeniable, especially when robust and widely adopted technologies such as React, Node, and Express and are available. Combining the power of React with industry-tested, server-side technologies, such as Node, Express, and MongoDB, creates a diverse array of possibilities when developing real-world web applications.

This book guides you through preparing the development environment for MERN stack-based web development, to creating a basic skeleton application and extending it to build four different web applications. These applications include a social media, an online marketplace, a media streaming, and a web-based game application with virtual reality features.

While learning to set up the stack and developing a diverse range of applications with this book, you will grasp the inner workings of the MERN stack, extend its capabilities for complex features, and gain actionable knowledge of how to prepare MERN-based applications to meet the growing demands of real-world web applications.

---
